%define		vendor_ver	1.67.0

Summary:	rsync for cloud storage
Name:		rclone
Version:	1.67.0
Release:	1
License:	MIT
Group:		Networking/Utilities
#Source0Download: https://github.com/rclone/rclone/releases
Source0:	https://github.com/rclone/rclone/releases/download/v%{version}/%{name}-v%{version}.tar.gz
# Source0-md5:	5abe90cdae481ea887e64dd0d022e036
# cd rclone-%{version}
# go mod vendor
# cd ..
# tar cJf rclone-vendor-%{version}.tar.xz rclone-v%{version}/vendor
Source1:	%{name}-vendor-%{vendor_ver}.tar.xz
# Source1-md5:	fc849ad6cc0efc9ceb3c4eff1818e77b
Patch0:		webdav-modtime.patch
URL:		https://rclone.org/
BuildRequires:	golang >= 1.20
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.009
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
ExclusiveArch:	%go_arches
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_debugsource_packages	0

%description
Rclone is a command line program to sync files and directories to and
from different cloud storage providers.

%package -n bash-completion-rclone
Summary:	bash-completion for rclone
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-rclone
This package provides bash-completion for rclone.

%package -n fish-completion-rclone
Summary:	Fish completion for rclone command
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	fish
BuildArch:	noarch

%description -n fish-completion-rclone
Fish completion for rclone command.

%package -n zsh-completion-rclone
Summary:	Zsh completion for rclone command
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	zsh
BuildArch:	noarch

%description -n zsh-completion-rclone
Zsh completion for rclone command.

%prep
%setup -q -a1 -n %{name}-v%{version}
%patch0 -p1

%{__mv} %{name}-v%{vendor_ver}/vendor .

%{__mkdir_p} .go-cache

%build
%__go build -v -mod=vendor --ldflags "-X github.com/rclone/rclone/fs.Version=%{version}" -o bin/rclone

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{bash_compdir},%{fish_compdir},%{zsh_compdir}}

cp -p bin/rclone $RPM_BUILD_ROOT%{_bindir}
cp -p rclone.1 $RPM_BUILD_ROOT%{_mandir}/man1

$RPM_BUILD_ROOT%{_bindir}/rclone genautocomplete bash $RPM_BUILD_ROOT%{bash_compdir}/rclone
$RPM_BUILD_ROOT%{_bindir}/rclone genautocomplete fish $RPM_BUILD_ROOT%{fish_compdir}/rclone.fish
$RPM_BUILD_ROOT%{_bindir}/rclone genautocomplete zsh $RPM_BUILD_ROOT%{zsh_compdir}/_rclone

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CONTRIBUTING.md MAINTAINERS.md MANUAL.md README.md
%attr(755,root,root) %{_bindir}/rclone
%{_mandir}/man1/rclone.1*

%files -n bash-completion-rclone
%defattr(644,root,root,755)
%{bash_compdir}/rclone

%files -n fish-completion-%{name}
%defattr(644,root,root,755)
%{fish_compdir}/rclone.fish

%files -n zsh-completion-%{name}
%defattr(644,root,root,755)
%{zsh_compdir}/_rclone
%changelog
* Tue Jun 18 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rclone.git;a=log;h=master

* Tue Jun 18 2024 Jan Palus <atler@pld-linux.org> b695654
- up to 1.67.0

* Mon Mar 11 2024 Jan Palus <atler@pld-linux.org> 3c8921e
- up to 1.66.0

* Wed Jan 24 2024 Jan Palus <atler@pld-linux.org> d844803
- up to 1.65.2

* Mon Jan 08 2024 Jan Palus <atler@pld-linux.org> 53866c0
- up to 1.65.1

* Mon Nov 27 2023 Jan Palus <atler@pld-linux.org> 207eda9
- up to 1.65.0

* Wed Oct 18 2023 Jan Palus <atler@pld-linux.org> f4e02ed
- up to 1.64.1

* Mon Sep 11 2023 Jan Palus <atler@pld-linux.org> 787116e
- up to 1.64.0

* Wed Jul 19 2023 Jan Palus <atler@pld-linux.org> 2078caf
- up to 1.63.1

* Sat Jul 01 2023 Jan Palus <atler@pld-linux.org> 594aadb
- up to 1.63.0

* Thu Mar 16 2023 Jan Palus <atler@pld-linux.org> 0941c1f
- up to 1.62.2

* Thu Mar 16 2023 Jan Palus <atler@pld-linux.org> 600afa4
- up to 1.62.1

* Tue Mar 14 2023 Jan Palus <atler@pld-linux.org> 7bee9cf
- up to 1.62.0

* Fri Dec 23 2022 Jan Palus <atler@pld-linux.org> a83cbd5
- up to 1.61.1

* Tue Dec 20 2022 Jan Palus <atler@pld-linux.org> e385e71
- up to 1.61.0

* Thu Nov 17 2022 Jan Palus <atler@pld-linux.org> 63f13ca
- up to 1.60.1

* Sat Oct 22 2022 Jan Palus <atler@pld-linux.org> 1db21d3
- update required golang version

* Fri Oct 21 2022 Jan Palus <atler@pld-linux.org> dcc2385
- up to 1.60.0

* Thu Sep 15 2022 Jan Palus <atler@pld-linux.org> b23f970
- up to 1.59.2

* Mon Aug 08 2022 Jan Palus <atler@pld-linux.org> d15cf85
- up to 1.59.1

* Sun Jul 10 2022 Jan Palus <atler@pld-linux.org> 7561c9f
- correct bash-completion epoch

